org.jfree.xml.factory.objects

## Class URLClassFactory

- java.lang.Object
- - org.jfree.xml.factory.objects.ClassFactoryImpl
  - - org.jfree.xml.factory.objects.URLClassFactory

All Implemented Interfaces:
  java.io.Serializable, ClassFactory

    public class URLClassFactory
    extends ClassFactoryImpl

A URL class factory.

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`URLClassFactory()` Creates a new URL class factory.

### Method Summary

### Methods inherited from class org.jfree.xml.factory.objects.ClassFactoryImpl

`configure, equals, getComparator, getConfig, getDescriptionForClass, getRegisteredClasses, getSuperClassObjectDescription, hashCode, registerClass`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### URLClassFactory

    public URLClassFactory()

Creates a new URL class factory.